Bug 691547 - Possible to enter annoying (pseudo)HTML elements in dynagroup description fields.
Possible to enter annoying (pseudo)HTML elements in dynagroup description fie...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4 677348
  Show dependency treegraph
 
Reported: 2011-03-28 15:49 EDT by Corey Welton
Modified: 2013-08-05 20:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-03-28 15:49:58 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  navigate to an existing DG or create a new one.
2.  In the Description field, enter the string <marquee direction="up">Wheeeeeeeee...</marquee>
3.
  
Actual results:
Silliness

Expected results:
Seriousness

Additional info:
Comment 1 Corey Welton 2011-03-28 15:51:56 EDT
Note:  You can do this in the Name field too, and it's even worse - it renders the DG uneditable.  I haven't tried less obnoxious elements to see if the same thing happens.
Comment 2 Corey Welton 2011-03-28 15:55:08 EDT
Entering <a href"...> elements in the Name field kind of fails too, though it doesn't fail as much as I thought it might.  It still keeps you from editing the DG however.
Comment 3 John Mazzitelli 2011-04-01 11:26:44 EDT
ian fixed some html cleaning, maybe this is addressed. either way, its low priority
Comment 4 Ian Springer 2011-04-05 15:07:58 EDT
Fixed - [master 3447a66].
Comment 5 Mike Foley 2011-04-21 16:55:13 EDT
this is verified fixed ...the markup is escaped.
Comment 6 Corey Welton 2011-05-23 21:10:37 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:10:45 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.